> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Find Organizations

Find organizations by details returns a list of organizations that matched the query parameter.

The value can match with the organization's name, or description. Results can be narrowed with the `types`, `countries` and `owners` filters, which take the values the results publish in `type`, `country` and `owner`. Use [Filter Values](/getting-started/knowledge_graph/filter_values) to list the values each one accepts.

Once you have the IDs, you can use them to filter your search queries with an [Entity query filter](../search/query_filters#entity).

<CodeGroup>
  ```bash API highlight={1,5-6} theme={null}
  curl -X POST 'https://api.bigdata.com/v1/knowledge-graph/organizations' \
    -H 'Content-Type: application/json' \
    -H 'X-API-KEY: <your-api-key>' \
    --data '{
    "query": "Federal Reserve",
    "countries": ["US"]
  }'
  ```

  ```python Python SDK theme={null}
  from dotenv import load_dotenv
  from bigdata_client import Bigdata
  import os

  load_dotenv()

  # Initialize the Bigdata API
  username = os.environ.get("BIGDATA_USERNAME")
  password = os.environ.get("BIGDATA_PASSWORD")
  bigdata = Bigdata(username, password)

  results = bigdata.knowledge_graph.find_organizations("Central Bank")

  for organization in results:
      print(f"Entity ID: {organization.id}")
      print(f"Organization Name: {organization.name}")
      print(f"Country: {organization.country}")  
      print(f"Description: {organization.description}\n")
  ```
</CodeGroup>

Output:

<CodeGroup>
  ```json API theme={null}
  {
    "results": [
      {
        "id": "F38FC4",
        "name": "United States Federal Reserve",
        "description": "The Federal Reserve System is the central banking system of the United States of America. It was created on December 23, 1913.",
        "type": "Central Bank",
        "country": "US"
      },
  ...
    ],
    "metadata": {
      "request_id": "2a25111e-0043-4fe2-946e-668aa5af928a",
      "timestamp": "2026-07-02T13:24:45.163695+00:00"
    }
  }
  ```

  ```txt Python SDK theme={null}
  Entity ID: 0E17C3
  Organization Name: Central Bank of India
  Country: India
  Description: The Reserve Bank of India (RBI) is India's central banking institution, which controls the monetary policy of the Indian rupee. It commenced its operations on April 1,1935.

  Entity ID: 91936D
  Organization Name: Central Bank of China
  Country: China
  Description: The People's Bank of China is the central bank of the People's Republic of China, responsible for carrying out monetary policy and regulation of financial institutions in mainland China. It was founded in December of 1948.

  Entity ID: B49825
  Organization Name: Central Bank of Norway
  Country: Norway
  Description: The Central Bank of Norway, also known as Norges Bank, is the central monetary authority in Norway. It is responsible for issuing the national currency, managing monetary policy, maintaining price stability, and promoting a safe and efficient financial system. The Central Bank of Norway also manages the Government Pension Fund Global, one of the world's largest sovereign wealth funds. Founded on June 14, 1816.

  Entity ID: 3DCFBE
  Organization Name: Central Bank of Ukraine
  Country: Ukraine
  Description: The National Bank of Ukraine is the government body responsible for a unified state policy in the field of the country's monetary circulation. It was founded in 1991.

  Entity ID: 8FD0DB
  Organization Name: Central Bank of Spain
  Country: Spain
  Description: The Bank of Spain is the central bank of Spain. It was established in Madrid in 1782.

  ...
  ```
</CodeGroup>


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.